@echo off
setlocal enableextensions enabledelayedexpansion
path %SystemRoot%\System32;%SystemRoot%;%SystemRoot%\System32\Wbem

set unattended=no
if "%1"=="/u" set unattended=yes

call :ensure_vista

call :ensure_admin

set host_path=%~dp0hosts

set todayis=%date:~-4,4%-%date:~-7,2%-%date:~-10,2%-%date:~-13,2%-%time:~0,2%-%time:~3,2%-%time:~6,7%

if not exist "%host_path%" call :die "host_path not found"

if not exist "C:\Windows\System32\drivers\etc\BACKUP" md "C:\Windows\System32\drivers\etc\BACKUP" /Y >nul

call copy C:\Windows\System32\drivers\etc\hosts C:\Windows\System32\drivers\etc\BACKUP\hosts_"%todayis%".txt /Y >nul

call copy "%host_path%" C:\Windows\System32\drivers\etc\hosts /Y >nul

echo Hosts file has been updated.

if [%unattended%] == [yes] exit 0
<nul set /p =Press any key to exit . . .
pause >nul
exit 0

:die
	if not [%1] == [] echo %~1
	if [%unattended%] == [yes] exit 1
	pause
	exit 1

:ensure_admin
	openfiles >nul 2>&1
	if errorlevel 1 (
		echo This batch script requires administrator privileges. Right-click on
		echo and select "Run as administrator".
		call :die
	)
	goto :EOF

:ensure_vista
	ver | find "XP" >nul
	if not errorlevel 1 (
		echo This batch script only works on Windows Vista and later. To create file
		echo associations on Windows XP, right click on a video file and use "Open with...".
		call :die
	)
	goto :EOF